{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "C_CATEGORIE"; 
            externalType = VARCHAR2; 
            name = cCategorie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "C_CORPS"; 
            externalType = VARCHAR2; 
            name = cCorps; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            columnName = "C_GRADE"; 
            externalType = VARCHAR2; 
            name = cGrade; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FERMETURE"; 
            externalType = DATE; 
            name = dFermeture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_OUVERTURE"; 
            externalType = DATE; 
            name = dOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = ECHELLE; 
            externalType = VARCHAR2; 
            name = echelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            columnName = "LC_GRADE"; 
            externalType = VARCHAR2; 
            name = lcGrade; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "LL_GRADE"; 
            externalType = VARCHAR2; 
            name = llGrade; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (cGrade, lcGrade, llGrade, cCorps, cCategorie, echelle); 
    className = "org.cocktail.kaki.server.metier.EOGrade"; 
    classProperties = (lcGrade, llGrade, cCorps, cCategorie, echelle, dOuverture, dFermeture); 
    externalName = "GRHUM.GRADE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (lcGrade, llGrade, cCorps, cCategorie, echelle, dOuverture, dFermeture); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOGrade"; 
    }; 
    name = Grade; 
    primaryKeyAttributes = (cGrade); 
}
